<?php 
// START CONTACT SECTION 
$wp_customize->add_section(
    'appointment_section',
    array(
        'title'         => __( 'Appointment Section', 'Luzuk Premium' ), 
        'panel'   => 'luzuk_premium_home_panel',
    )
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
    'appointment_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'appointment_section_disable',
        array(
            'settings'      => 'appointment_section_disable',
            'section'       => 'appointment_section',
            'label'         => __( 'Disable Section', 'Luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk Premium' ),
                'off' => __( 'No', 'Luzuk Premium' )
            )   
        )
    )
);

backgroundManager($wp_customize, 'appointment', 'appointment_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');



//-------------------start appoinment form----------------



$wp_customize->add_setting(
    'luzuk_contact_appointmentrighttagline',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'BOOK NOW', 'Luzuk Premium' ) 
    )
);
$wp_customize->add_control(
    'luzuk_contact_appointmentrighttagline',
    array(
        'settings'      => 'luzuk_contact_appointmentrighttagline',
        'section'       => 'appointment_section',
        'type'          => 'text',
        'label'         => __( 'Appointment Form Title', 'Luzuk Premium' )
    )
);


addColorPalatOption($wp_customize, 'luzuk_appformtitleColor', 'appointment_section', 'Appointment Form Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_appformtitlebgColor', 'appointment_section', 'Appointment Form Title Background Color', '#fddb1f');


$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'luzuk_appointment_form_lbl',
        array(
            'settings'      => 'luzuk_appointment_form_lbl',
            'section'       => 'appointment_section',
            'label'         => __( 'Add contactForm 7 shortcode', 'Luzuk Premium' ),
        )
    )
);


$wp_customize->add_setting(
    'luzuk_appointment_form_shortcode',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Add your form shortcode on customiser', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'luzuk_appointment_form_shortcode',
    array(
        'settings'      => 'luzuk_appointment_form_shortcode',
        'section'       => 'appointment_section',
        'type'          => 'text',
        'label'         => __( 'Shortcode Here', 'Luzuk Premium' )
    )
);


addColorPalatOption($wp_customize, 'luzuk_appformbgColor', 'appointment_section', 'Form background Color', '#fff');

// Form Text color
addColorPalatOption($wp_customize, 'luzuk_appformTextColor', 'appointment_section', 'Form Text & Placeholder Text & Label Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_appformbrdColor', 'appointment_section', 'Form Border Color', '#e5e5e5');


addColorPalatOption($wp_customize, 'luzuk_appbtntextColor', 'appointment_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_appbtnbgColor', 'appointment_section', 'Form Button Background Color', '#ff9310');

addColorPalatOption($wp_customize, 'luzuk_appbtnbghvColor', 'appointment_section', 'Form Button Background Hover Color', '#0664ad');


//--------------------end of appoinment form---------------

lzCustomLable($wp_customize, 'appointment', 'appointment_section', 'Section Right Side Setting');

$wp_customize->add_setting(
    'luzuk_contact_phonetitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'OFFICE ADDRESS', 'Luzuk Premium' ) 
    )
);
$wp_customize->add_control(
    'luzuk_contact_phonetitle',
    array(
        'settings'      => 'luzuk_contact_phonetitle',
        'section'       => 'appointment_section',
        'type'          => 'text',
        'label'         => __( 'Address Title', 'Luzuk Premium' )
    )
);
addColorPalatOption($wp_customize, 'luzuk_addtitleColor', 'appointment_section', 'Address Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_addtitlebgColor', 'appointment_section', 'Address Title Background Color', '#fddb1f');

$wp_customize->add_setting(
    'luzuk_contact_location',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, cosectetuer adipiscing elit', 'Luzuk Premium' ) 
    )
);
$wp_customize->add_control(
    'luzuk_contact_location',
    array(
        'settings'      => 'luzuk_contact_location',
        'section'       => 'appointment_section',
        'type'          => 'textarea',
        'label'         => __( 'Address', 'Luzuk Premium' )
    )
);



$wp_customize->add_setting(
    'luzuk_contact_mail',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'info@youremailidhere.com', 'Luzuk Premium' ) 
    )
);
$wp_customize->add_control(
    'luzuk_contact_mail',
    array(
        'settings'      => 'luzuk_contact_mail',
        'section'       => 'appointment_section',
        'type'          => 'text',
        'label'         => __( 'Email', 'Luzuk Premium' )
    )
);

$wp_customize->add_setting(
    'luzuk_contact_phone2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1800 123 456 789', 'Luzuk Premium' ) 
    )
);
$wp_customize->add_control(
    'luzuk_contact_phone2',
    array(
        'settings'      => 'luzuk_contact_phone2',
        'section'       => 'appointment_section',
        'type'          => 'text',
        'label'         => __( 'Phone No.', 'Luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_addAbgColor', 'appointment_section', 'Address Background Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_addtextColor', 'appointment_section', 'Address Text & Phone Number & Email Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_addtExthvColor', 'appointment_section', 'Email Hover Color', '#fddb1f');

addColorPalatOption($wp_customize, 'luzuk_addIconColor', 'appointment_section', 'Icon Color', '#535353');

addColorPalatOption($wp_customize, 'luzuk_addIconhvColor', 'appointment_section', 'Icon Hover Color', '#ff9310');

addColorPalatOption($wp_customize, 'luzuk_addiconbgColor', 'appointment_section', 'Icon & Text Background Color', '#f3f3f3');

addColorPalatOption($wp_customize, 'luzuk_addiconbghvColor', 'appointment_section', 'Icon & Text Background Hover Color', '#fff');

// field for addeding the map code
$wp_customize->add_setting('appmaps_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('appmaps_embade', array('settings'=>'appmaps_embade', 'section'=>'appointment_section','type'=>'textarea', 'label'=> __('Code for map', 'luzuk-premium')));


//----------------//

